package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 update_app
 * 
 * @author ruoyi
 * @date 2023-02-16
 */
public class UpdateApp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 系统：Android：安卓系统，Apple：苹果系统 */
    @Excel(name = "系统：Android：安卓系统，Apple：苹果系统")
    private String model;

    /** 版本名称 */
    @Excel(name = "版本名称")
    private String name;

    /** 版本号 */
    @Excel(name = "版本号")
    private String code;

    /** 版本描述 */
    @Excel(name = "版本描述")
    private String description;

    /** 下载地址 */
    @Excel(name = "下载地址")
    private String path;

    /** 是否有效 0：失效 1：有效 */
    @Excel(name = "是否有效 0：失效 1：有效")
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("model", getModel())
            .append("name", getName())
            .append("code", getCode())
            .append("description", getDescription())
            .append("path", getPath())
            .append("isDel", getIsDel())
            .append("createTime", getCreateTime())
            .toString();
    }
}
